package com.jeeplus.modules.workreceiptsregister.entity;

import com.jeeplus.common.persistence.BaseEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.utils.UserUtils;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class WorkReceiptsRegisterCompany extends WorkReceiptsRegisterBase {

    @ExcelField(title="分公司", align=2, sort=1)
    public String getCompanyName() {
        return this.getCompany().getName();
    }

    public Double getReceiptAmt() {
        return receiptAmt;
    }
    @ExcelField(title="收款金额", align=2, sort=2)
    public String getReceiptAmtStr() {
        return UserUtils.getDecimalFormat(new BigDecimal(this.receiptAmt));
    }
}
